Subject: Re: [PATCH] 8xx: fix usage of pinned 8Mbyte TLB entries

From: Marcelo Tosatti <[email-masked]>
Date: Sat, 7 May 2005 11:05:27 -0300

> NO.  Just leave that code alone.  I don't understand why you think
> doing this will have any effect on the system operation.  If you are
> able to run a system without creating these tables, then the pinned
> TLBs must be working.  If pinned TLBs weren't working, the kernel
> would crash.

I just booted a kernel with 4kb PTE mappings at KERNELBASE and
the pinned TLB was not trashed.

So, I was talking nonsense. :)

The only problem are DMA users who dont use dma_alloc_coherent API.